Page MenuHomePhabricator

Measure the impact of native image lazy loading on desktop
Closed, ResolvedPublic

Description

This should be straightforward to implement, at least for regular article thumbnails. We should ensure that the attribute doesn't show up Mobile Frontend, in order to avoid any potential conflicts with its JS-based image lazy loading.

The expected impact is likely to be big on our large articles: https://twitter.com/TheRealNooshu/status/1163827485076799489

This will be tested on eswiki and ruwiki for a week, to see the impact on RUM metrics and on perceived performance survey responses.

Event Timeline

Gilles triaged this task as High priority.Aug 21 2019, 8:38 AM
Gilles created this task.
Gilles updated the task description. (Show Details)
Gilles updated the task description. (Show Details)

Change 531440 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/MobileFrontend@master] Ensure native image lazy loading is desktop-only

https://gerrit.wikimedia.org/r/531440

Change 531442 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/core@master] Add support for native image lazy loading

https://gerrit.wikimedia.org/r/531442

Change 531440 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Ensure native image lazy loading is desktop-only

https://gerrit.wikimedia.org/r/531440

Change 531442 merged by jenkins-bot:
[mediawiki/core@master] Add support for native image lazy loading

https://gerrit.wikimedia.org/r/531442

I will enable this for a short period on eswiki and ruwiki to measure the impact. But the unresolved issues around printing, especially considering how prominently we advertise printing in the sidebar, makes this new browser feature somewhat impractical for now.

Gilles renamed this task from Enable native image lazy loading on desktop to Measure the impact of native image lazy loading on desktop.Aug 23 2019, 1:26 PM
Gilles updated the task description. (Show Details)
Gilles lowered the priority of this task from High to Medium.Aug 23 2019, 1:30 PM
kchapman moved this task from Inbox to Doing on the Performance-Team board.Aug 26 2019, 8:21 PM
Gilles lowered the priority of this task from Medium to Lowest.Jan 6 2020, 1:17 PM
Peter added a comment.Feb 27 2020, 1:25 PM

I think this would be super interesting to do: we could measure the difference in carbon footprint using the https://www.thegreenwebfoundation.org API/data.

CCicalese_WMF closed this task as Resolved.Apr 28 2020, 8:49 PM
CCicalese_WMF added a subscriber: CCicalese_WMF.

Marking as Resolved as it is in the Done column. Feel free to reopen if there is remaining work.